#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Core.Views;
using HeuristicLab.MainForm;
using System.Windows.Forms;

namespace HeuristicLab.Optimization.Networks.Views {
  [View("Node View")]
  [Content(typeof(Node), true)]
  [Content(typeof(INode), false)]
  public partial class NodeView : EntityView {
    public new INode Content {
      get { return (INode)base.Content; }
      set { base.Content = value; }
    }

    public NodeView() {
      InitializeComponent();
    }

    protected override void DeregisterContentEvents() {
      // remove events here
      base.DeregisterContentEvents();
    }

    protected override void RegisterContentEvents() {
      base.RegisterContentEvents();
      // add events here
    }

    protected override void OnContentChanged() {
      base.OnContentChanged();
      //...
    }

    protected override void SetEnabledStateOfControls() {
      base.SetEnabledStateOfControls();
      //...
    }
  }
}
